## drawtiming 0.7.1

=== debian/changelog ===
drawtiming (0.7.1-11) unstable; urgency=medium

  * Remove d/source/include-binaries, no more needed
  * d/control: build against imagemagick 7 (Closes: #1086931)
  * d/control: bump to standards-version 4.7.0
  * Add patch d/p/adapt-magick++7.patch to allow building against
    libmagick++-7.q16-dev.
    Also: Refresh patch d/p/repair-build-c++-17.patch.
    Thanks to Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
  * d/control: update build-dep: pkg-config -> pkgconf
  * Forward adapt-magick++7.patch to upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Dec 2024 18:26:15 +0100

drawtiming (0.7.1-10) unstable; urgency=medium

  * d/watch: add pgpsigurlmangle rule
  * Replace binary upstream sign key with an ASCII armoured one
  * d/gbp.conf: re-enable priistine-tar

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 29 Apr 2023 04:03:03 +0200

drawtiming (0.7.1-9) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Team upload.
  * d/control:
    - Bump Standards-Version to 4.6.2 (no changes required).
    - Bump compat level to 13 (remove d/compat).
    - Add Rules-Requires-Root field.
  * d/rules:
    - Drop override of dh_auto_configure (not needed).
    - Add hardening options.
  * Drop patches InitializeMagick.diff and test_workaround.diff (not
    needed anymore, since we use imagemagick).
  * Update d/watch to standard 4.
  * Remove trailing whitespaces from d/changelog.
  * d/copyright: replace http with https.
  * Add autopkgtest that runs upstream sample test.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * d/patches/*.diff: Add tags for upstream bug & forwarded patches URLs
  * d/patches/manpage-fix.diff: fix another typo

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 01 Apr 2023 02:07:54 +0200

drawtiming (0.7.1-8) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Add repair-build-c++-17.patch (Closes: #984038).
  * d/control:
    - Add bison to Build-Depends (needed by upstream Makefile).
    - Replace graphicsmagick with imagemagick to avoid segfault during
      tests.
    - Replace gsfonts with fonts-urw-base35 (transition), and add
      fonts-urw-base35 as explicit runtime dependency to prevent segfault.
  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Add gitlab-ci.yml
  * d/gbp.conf: switch to bullseye branch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 04 Mar 2023 03:07:13 +0100

drawtiming (0.7.1-7) unstable; urgency=medium

  [ Dima Kogan ]
  * Moved Vcs-... tags to point to salsa

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Remove Hamish Moffatt from uploaders (Closes: #831473)
  * Update my email address
  * Update copyright years
  * Updated standards version to 4.1.5
  * Bumped compat level to 10
  * Disabled pristine-tar in gbp.conf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 15 Jul 2018 13:07:27 +0200

drawtiming (0.7.1-6) unstable; urgency=medium

  * debian/control:
    + Remove obsolete DMUA field
    + Remove Wesley J. Landaker from Uploaders list since he has retired
      (Closes: #759985)
    + Indicate the packaging branch in Vcs-Git field
    + Bump Standards-Version to 3.9.5
    + Use canonical URIs in VCS-* fields.
  * debian/watch:
    + Add xz extension
    + Add pgpsigurlmangle
  * Added debian/upstream-signing-key.pgp
  * Added debian/source/include-binaries
  * debian/copyright: Update copyright years.
  * Add test_workaround.diff patch to workaround around a regression in
    GraphicsMagick that causes a test to fail. See: #759956

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 15 Sep 2014 10:54:04 +0300

drawtiming (0.7.1-5) unstable; urgency=low

  * Upload to unstable.
  * Bumped compat level to 9
  * debian/control: Bumped Standards-Version to 3.9.3
  * debian/copyright: Updated copyright format & years.
  * debian/rules: Override dh_auto_configure to add -Wl,--as-needed to LDFLAGS

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 03 Jun 2012 10:47:56 +0200

drawtiming (0.7.1-4) experimental; urgency=low

  * Revert changes in 0.7.1-3
  * Upload to experimental to avoid poisoning freeze exception for 0.7.1-3
  * debian/control:
    + Bumped Standards-Version to 3.9.1, no changes needed.
    + Added gsfonts to Build-Deps to get 'make check' to work
    + Bumped debhelper dependency to 7.0.50~ to support overrides.
    + Moved git repository to pkg-electronics
  * debian/rules:
    + Simplified rules file.
    + Override dh_installexamples to run samples/runsamples.sh through a
      sed script before installing it in examples/
  * debian/examples: only install drawtiming samples.
  * debian/copyright: Updated and converted to machine-readable format.
  * Added manpage-fix.diff patch to fix some typos and hyphenation.
  * Split string.h include diff into missing-includes.diff patch.
  * Added switch_LDFLAGS_LDADD.diff patch to fix FTBFS when --as-needed
    is passed to gcc.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 15 Dec 2010 08:56:57 +0200

drawtiming (0.7.1-3) unstable; urgency=low

  * Revert source format change, and apply patch directly to diff.gz, in
    order to get freeze exception for squeeze.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 14 Dec 2010 14:26:14 +0200

drawtiming (0.7.1-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source format.
  * Added InitializeMagick.diff patch to properly initialize
    GraphicsMagick. (Closes: #599915) (LP: #636021). Credit to Galland
    (https://launchpad.net/~victor-lopez)
  * debian/gbp.conf: Added git-buildpackage config file
  * debian/control:
    + Added Vcs-Browser field.
    + Added ${misc:Depends}
    + Added myself to uploaders.
    + Added DMUA after sponsors consent:
      http://lists.alioth.debian.org/pipermail/pkg-electronics-devel/2010-April/001827.html
  * Added Vcs-Browser field.

