=== debian/control ===
Source: drawtiming
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends:
 debhelper-compat (= 13),
 libmagick++-7.q16-dev,
 fonts-urw-base35,
 pkgconf,
 bison
Standards-Version: 4.7.0
Homepage: http://drawtiming.sourceforge.net/
Vcs-Git: https://salsa.debian.org/electronics-team/drawtiming.git
Vcs-Browser: https://salsa.debian.org/electronics-team/drawtiming
Rules-Requires-Root: no

Package: drawtiming
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-urw-base35
Description: tool for documenting hardware designs through timing diagrams
 Drawtiming is a command-line tool for documenting hardware designs through
 timing diagrams. In inputs textual signal descriptions and outputs image
 timing diagrams in many possible formats.
