=== debian/tests/control ===
Tests: runsamples
Restrictions: allow-stderr
