=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ http://sf.net/drawtiming/drawtiming-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
